Bug 801997 - Version for Discovered Scripts Is Always 'none' - JBoss AS5 Plugin
Version for Discovered Scripts Is Always 'none' - JBoss AS5 Plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 758753 jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-03-10 00:46 EST by Stefan Negrea
Modified: 2013-09-01 06:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:18:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-03-10 00:46:22 EST
Description of problem:
The version for scripts discovered under JBoss EAP5 is always 'none'. The version should follow the same format as the rest of content resources discovered on the server (expected format: "[sha256=actual_sha_256_of_content]"). 

How reproducible:
Everytime

Steps to Reproduce:
1. Inventory an JBoss EAP 5 server
2. Look in the database, rhq_package_version table, for scripts discovered as part of the EAP instance.
  
Actual results:
Each script has a version of none.

Expected results:
The version for each script should be "[sha256=actual_sha_256_of_content]"


Additional info:
The scripts component should work in the same manner as the web application component.
Comment 1 Mike Foley 2012-03-12 11:42:48 EDT
per BZ traige (crouch, foley, loleary), medium priority, not targetted for JON 3.1
Comment 2 Heiko W. Rupp 2013-09-01 06:18:36 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.